<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.436
Name: KOPAC-B Cilindercelepitheel
Description: Template: KOPAC-B Cilindercelepitheel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000">
   <title>KOPAC-B Cilindercelepitheel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.436
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]
Item: (KOPACBC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]"
         id="d20e15649-false-d170106e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]) &gt;= 1">(KOPACBC): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]) &lt;= 1">(KOPACBC): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.436
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]
Item: (KOPACBC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]"
         id="d20e15670-false-d170123e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="string(@classCode) = ('OBS')">(KOPACBC): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="string(@moodCode) = ('EVN')">(KOPACBC): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']) &gt;= 1">(KOPACBC): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']) &lt;= 1">(KOPACBC): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:code[(@code = 'C' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]) &gt;= 1">(KOPACBC): element hl7:code[(@code = 'C' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:code[(@code = 'C' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]) &lt;= 1">(KOPACBC): element hl7:code[(@code = 'C' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.235-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(KOPACBC): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.235-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.235-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(KOPACBC): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.235-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.436
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']
Item: (KOPACBC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']"
         id="d20e15676-false-d170169e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.436')">(KOPACBC): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.436' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.436
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]/hl7:code[(@code = 'C' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]
Item: (KOPACBC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]/hl7:code[(@code = 'C' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]"
         id="d20e15681-false-d170184e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="@nullFlavor or (@code='C' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')">(KOPACBC): de elementwaarde MOET een zijn van 'code 'C' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.243''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.436
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.235-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (KOPACBC)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.436']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.235-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e15686-false-d170203e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBC): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.436-2016-02-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.235-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KOPACBC): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.235 KOPAC-B Cilindercelepitheel (DYNAMISCH)'.</assert>
   </rule>
</pattern>
