<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.437
Name: KOPAC-B Beoordeelbaarheid
Description: Template: KOPAC-B Beoordeelbaarheid
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000">
   <title>KOPAC-B Beoordeelbaarheid</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]"
         id="d20e15693-false-d170231e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]) &gt;= 1">(KOPACBB): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]) &lt;= 1">(KOPACBB): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]"
         id="d20e15724-false-d170248e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@classCode) = ('OBS')">(KOPACBB): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@moodCode) = ('EVN')">(KOPACBB): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:entryRelationship)&lt;=count(hl7:value[@code='B3'])">(KOPACBB): "Reden niet beoordeelbaar" (entryRelationship RSON) alleen als Beoordeelbaarheid B3 "niet beoordeelbaar door"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']) &gt;= 1">(KOPACBB): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']) &lt;= 1">(KOPACBB): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code = '19764-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(KOPACBB): element hl7:code[(@code = '19764-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code = '19764-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(KOPACBB): element hl7:code[(@code = '19764-0' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(KOPACBB): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(KOPACBB): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]) &lt;= 1">(KOPACBB): element hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']"
         id="d20e15730-false-d170301e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.437')">(KOPACBB): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.437' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:code[(@code = '19764-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:code[(@code = '19764-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e15735-false-d170316e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or (@code='19764-0' and @codeSystem='2.16.840.1.113883.6.1')">(KOPACBB): de elementwaarde MOET een zijn van 'code '19764-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e15740-false-d170335e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.236-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KOPACBB): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.236 KOPAC-B Beoordeelbaarheid (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]"
         id="d20e15749-false-d170356e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@typeCode) = ('RSON')">(KOPACBB): de waarde van typeCode MOET 'RSON' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]) &gt;= 1">(KOPACBB): element hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]) &lt;= 1">(KOPACBB): element hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]/hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]/hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]"
         id="d20e15753-false-d170378e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@classCode) = ('OBS')">(KOPACBB): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="string(@moodCode) = ('EVN')">(KOPACBB): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]) &gt;= 1">(KOPACBB): element hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]) &lt;= 1">(KOPACBB): element hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(KOPACBB): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(KOPACBB): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]/hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]/hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]/hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]/hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]"
         id="d20e15759-false-d170415e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or (@code='R' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')">(KOPACBB): de elementwaarde MOET een zijn van 'code 'R' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.243''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.437
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]/hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (KOPACBB)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.437']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]]/hl7:observation[hl7:code[(@code = 'R' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e15764-false-d170434e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBB): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.437-2016-02-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.237-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KOPACBB): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.237 KOPAC-B Reden niet beoordeelbaar (DYNAMISCH)'.</assert>
   </rule>
</pattern>
