<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL - Gestructureerde gegevensvastlegging Coloscopie bevolkingsonderzoek darmkanker </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario nsp-bc-mdl2016 -->

   <!-- nspbcmdl2015a -->
   <pattern>
      <title>nspbcmdl2015a</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.13'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.1']]"
                 see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.13-2015-02-14T000000.html">In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.13'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.1']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.13-2015-02-14T000000.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.13-2015-02-14T000000-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.13-2015-02-14T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.201-2012-07-04T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.202-2014-01-06T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.203-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.204-2014-02-21T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.205-2015-03-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.207-2012-07-04T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.305-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.306-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.307-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.310-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.311-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.312-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.313-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.320-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.322-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.323-2016-08-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.328-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.329-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.330-2014-04-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.331-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.332-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.333-2015-02-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.337-2012-10-30T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.338-2014-02-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.341-2014-02-09T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.342-2014-02-09T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.343-2016-11-01T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.344-2017-07-23T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.346-2014-02-09T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.347-2014-02-09T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.370-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.372-2014-07-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.380-2013-06-30T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.381-2013-04-15T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.382-2014-04-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.383-2015-03-02T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.502-2017-07-23T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.503-2012-04-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.504-2016-11-17T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.507-2013-06-30T000000"/>
   </phase>
   <phase id="nspbcmdl2015a">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.13-2015-02-14T000000"/>
   </phase>
   <phase id="nspbcmdl2015a-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.13-2015-02-14T000000-closed"/>
   </phase>
   <phase id="CDAauthor">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000"/>
   </phase>
   <phase id="SalutationSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.201-2012-07-04T000000"/>
   </phase>
   <phase id="ProcedureIndicationsSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.202-2014-01-06T000000"/>
   </phase>
   <phase id="ProcedureDescriptionSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.203-2014-07-15T000000"/>
   </phase>
   <phase id="ProcedureFindingsSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.204-2014-02-21T000000"/>
   </phase>
   <phase id="AssessmentSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.205-2015-03-02T000000"/>
   </phase>
   <phase id="PlanOfCareSectiondd">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.207-2012-07-04T000000"/>
   </phase>
   <phase id="ConclusionColonoscopySection">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000"/>
   </phase>
   <phase id="Complications">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.305-2014-07-15T000000"/>
   </phase>
   <phase id="Severityofcomplication">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.306-2014-07-15T000000"/>
   </phase>
   <phase id="Preparationcolonoscopy">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.307-2014-07-15T000000"/>
   </phase>
   <phase id="Bostonbowelpreparationscale">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.310-2014-07-15T000000"/>
   </phase>
   <phase id="Bostonbowelpreparationscalerightcolon">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.311-2014-07-15T000000"/>
   </phase>
   <phase id="Bostonbowelpreparationscaletransversecolon">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.312-2014-07-15T000000"/>
   </phase>
   <phase id="Bostonbowelpreparationscaleleftcolon">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.313-2014-07-15T000000"/>
   </phase>
   <phase id="Resultscolonoscopy">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.320-2014-07-15T000000"/>
   </phase>
   <phase id="CO2insufflation">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.322-2012-04-10T000000"/>
   </phase>
   <phase id="Retractiontimecolonoscopy">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.323-2016-08-02T000000"/>
   </phase>
   <phase id="Gloucestercomfortscore">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.328-2012-04-10T000000"/>
   </phase>
   <phase id="Intubationofcoecum">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.329-2012-04-10T000000"/>
   </phase>
   <phase id="Maxlocationreached">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.330-2014-04-16T000000"/>
   </phase>
   <phase id="Rectalretroflexion">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.331-2012-04-10T000000"/>
   </phase>
   <phase id="Orderplacernumber">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.332-2012-04-10T000000"/>
   </phase>
   <phase id="SpecimencollectionMDL">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.333-2015-02-15T000000"/>
   </phase>
   <phase id="Redenafbrekingcoloscopie">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000"/>
   </phase>
   <phase id="Familialriskfactor">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.337-2012-10-30T000000"/>
   </phase>
   <phase id="Verslagidentificatiepathologie">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.338-2014-02-24T000000"/>
   </phase>
   <phase id="Typeofpreparation">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.341-2014-02-09T000000"/>
   </phase>
   <phase id="Proceduretimeout">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.342-2014-02-09T000000"/>
   </phase>
   <phase id="Reasoncecumnotreached">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.343-2016-11-01T000000"/>
   </phase>
   <phase id="Distancefromanalverge">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.344-2017-07-23T000000"/>
   </phase>
   <phase id="Totalnumberoflesions">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000"/>
   </phase>
   <phase id="Lesionsnotobtained">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.346-2014-02-09T000000"/>
   </phase>
   <phase id="Reasonprocedurenotperformed">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.347-2014-02-09T000000"/>
   </phase>
   <phase id="Patientcounseling">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.370-2012-04-10T000000"/>
   </phase>
   <phase id="Planoftreatmentdd">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.372-2014-07-15T000000"/>
   </phase>
   <phase id="ConclusionColonoscopyEntry">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.380-2013-06-30T000000"/>
   </phase>
   <phase id="AssertionColonoscopyEntry">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.381-2013-04-15T000000"/>
   </phase>
   <phase id="Indication">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.382-2014-04-25T000000"/>
   </phase>
   <phase id="Specimenclusterdd">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.383-2015-03-02T000000"/>
   </phase>
   <phase id="Sedationmanagement">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.502-2017-07-23T000000"/>
   </phase>
   <phase id="Sedationrelaxationmedicationadministration">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.503-2012-04-10T000000"/>
   </phase>
   <phase id="Levelofconsciousness">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.504-2016-11-17T000000"/>
   </phase>
   <phase id="Administrationofsedative">
      <active pattern="template-2.16.840.1.113883.2.4.3.36.10.507-2013-06-30T000000"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- CDAauthor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000.sch"/>
   <!-- SalutationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.201-2012-07-04T000000.sch"/>
   <!-- ProcedureIndicationsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.202-2014-01-06T000000.sch"/>
   <!-- ProcedureDescriptionSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.203-2014-07-15T000000.sch"/>
   <!-- ProcedureFindingsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.204-2014-02-21T000000.sch"/>
   <!-- AssessmentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.205-2015-03-02T000000.sch"/>
   <!-- PlanOfCareSectiondd -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.207-2012-07-04T000000.sch"/>
   <!-- ConclusionColonoscopySection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.sch"/>
   <!-- Complications -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.305-2014-07-15T000000.sch"/>
   <!-- Severityofcomplication -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.306-2014-07-15T000000.sch"/>
   <!-- Preparationcolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.307-2014-07-15T000000.sch"/>
   <!-- Bostonbowelpreparationscale -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.310-2014-07-15T000000.sch"/>
   <!-- Bostonbowelpreparationscalerightcolon -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.311-2014-07-15T000000.sch"/>
   <!-- Bostonbowelpreparationscaletransversecolon -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.312-2014-07-15T000000.sch"/>
   <!-- Bostonbowelpreparationscaleleftcolon -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.313-2014-07-15T000000.sch"/>
   <!-- Resultscolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.320-2014-07-15T000000.sch"/>
   <!-- CO2insufflation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.322-2012-04-10T000000.sch"/>
   <!-- Retractiontimecolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.323-2016-08-02T000000.sch"/>
   <!-- Gloucestercomfortscore -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.328-2012-04-10T000000.sch"/>
   <!-- Intubationofcoecum -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.329-2012-04-10T000000.sch"/>
   <!-- Maxlocationreached -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.330-2014-04-16T000000.sch"/>
   <!-- Rectalretroflexion -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.331-2012-04-10T000000.sch"/>
   <!-- Orderplacernumber -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.332-2012-04-10T000000.sch"/>
   <!-- SpecimencollectionMDL -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.333-2015-02-15T000000.sch"/>
   <!-- Redenafbrekingcoloscopie -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.sch"/>
   <!-- Familialriskfactor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.337-2012-10-30T000000.sch"/>
   <!-- Verslagidentificatiepathologie -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.338-2014-02-24T000000.sch"/>
   <!-- Typeofpreparation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.341-2014-02-09T000000.sch"/>
   <!-- Proceduretimeout -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.342-2014-02-09T000000.sch"/>
   <!-- Reasoncecumnotreached -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.343-2016-11-01T000000.sch"/>
   <!-- Distancefromanalverge -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.344-2017-07-23T000000.sch"/>
   <!-- Totalnumberoflesions -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.sch"/>
   <!-- Lesionsnotobtained -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.346-2014-02-09T000000.sch"/>
   <!-- Reasonprocedurenotperformed -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.347-2014-02-09T000000.sch"/>
   <!-- Patientcounseling -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.370-2012-04-10T000000.sch"/>
   <!-- Planoftreatmentdd -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.372-2014-07-15T000000.sch"/>
   <!-- ConclusionColonoscopyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.380-2013-06-30T000000.sch"/>
   <!-- AssertionColonoscopyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.381-2013-04-15T000000.sch"/>
   <!-- Indication -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.382-2014-04-25T000000.sch"/>
   <!-- Specimenclusterdd -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.383-2015-03-02T000000.sch"/>
   <!-- Sedationmanagement -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.502-2017-07-23T000000.sch"/>
   <!-- Sedationrelaxationmedicationadministration -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.503-2012-04-10T000000.sch"/>
   <!-- Levelofconsciousness -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.504-2016-11-17T000000.sch"/>
   <!-- Administrationofsedative -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.507-2013-06-30T000000.sch"/>

</schema>
